Name: x11-driver-video-nv
Version: 1.2.2.1
Release: %mkrel 1
Summary: The X.org driver for NVidia Cards
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-nv-%{version}.tar.bz2
Patch0: x11-driver-video-nv-riva-videomem-autodetection-debugging.patch
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Conflicts: xorg-x11-server < 7.0

%description
The X.org driver for NVidia Cards


%prep
%setup -q -n xf86-video-nv-%{version}
%patch0 -p1 -b .redhat-nv-riva-videomem-autodetection-debugging

%build
# FIXME: this is just for this release that has broken libtool files
aclocal && automake && autoconf && libtoolize --copy --force
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/riva128.la
%{_libdir}/xorg/modules/drivers/riva128.so
%{_libdir}/xorg/modules/drivers/nv_drv.la
%{_libdir}/xorg/modules/drivers/nv_drv.so
%{_mandir}/man4/nv.4.bz2


%changelog
* Mon Feb 05 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.2.1-1mdv2007.0
+ Revision: 116435
- new upstream version: 1.2.2.1

* Mon Jul 03 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.0-1mdv2007.0
+ Revision: 38294
- new upstream release (1.2.0):
  * Removed dependency on xorg-server >= 1.0.99.901.
  * PCI IDs for GeForce 6 and 7 variants and the Quadro FX 4500 X2.
  * New chip support.
- new upstream release (1.1.2):
  *  Add names for Quadro FX 5500, 3500, 1500, 560, 550, and 350.
- added a patch for videomem autodetection debugging
- removed old tarball
- rebuild to fix cooker uploading
- Updated drivers for X11R7.1
- increment release
- Adding X.org 7.0 to the repository

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix group

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

